# DO NOT DELETE: Beginning of Haskell dependencies
libraries/ghc-prim/dist-install/build/GHC/Types.o : libraries/ghc-prim/GHC/Types.hs
$(eval $(call hi-rule,libraries/ghc-prim/dist-install/build/GHC/Types.hi  : %hi: %o  libraries/ghc-prim/GHC/Types.hs))
libraries/ghc-prim/dist-install/build/GHC/IntWord64.o : libraries/ghc-prim/GHC/IntWord64.hs
$(eval $(call hi-rule,libraries/ghc-prim/dist-install/build/GHC/IntWord64.hi  : %hi: %o  libraries/ghc-prim/GHC/IntWord64.hs))
libraries/ghc-prim/dist-install/build/GHC/IntWord64.o : libraries/ghc-prim/dist-install/build/GHC/Types.hi
libraries/ghc-prim/dist-install/build/GHC/CString.o : libraries/ghc-prim/GHC/CString.hs
$(eval $(call hi-rule,libraries/ghc-prim/dist-install/build/GHC/CString.hi  : %hi: %o  libraries/ghc-prim/GHC/CString.hs))
libraries/ghc-prim/dist-install/build/GHC/CString.o : libraries/ghc-prim/dist-install/build/GHC/Types.hi
libraries/ghc-prim/dist-install/build/GHC/Tuple.o : libraries/ghc-prim/GHC/Tuple.hs
$(eval $(call hi-rule,libraries/ghc-prim/dist-install/build/GHC/Tuple.hi  : %hi: %o  libraries/ghc-prim/GHC/Tuple.hs))
libraries/ghc-prim/dist-install/build/GHC/Tuple.o : libraries/ghc-prim/dist-install/build/GHC/CString.hi
libraries/ghc-prim/dist-install/build/GHC/PrimopWrappers.o : libraries/ghc-prim/dist-install/build/GHC/PrimopWrappers.hs
$(eval $(call hi-rule,libraries/ghc-prim/dist-install/build/GHC/PrimopWrappers.hi  : %hi: %o  libraries/ghc-prim/dist-install/build/GHC/PrimopWrappers.hs))
libraries/ghc-prim/dist-install/build/GHC/PrimopWrappers.o : libraries/ghc-prim/dist-install/build/GHC/Tuple.hi
libraries/ghc-prim/dist-install/build/GHC/Debug.o : libraries/ghc-prim/GHC/Debug.hs
$(eval $(call hi-rule,libraries/ghc-prim/dist-install/build/GHC/Debug.hi  : %hi: %o  libraries/ghc-prim/GHC/Debug.hs))
libraries/ghc-prim/dist-install/build/GHC/Debug.o : libraries/ghc-prim/dist-install/build/GHC/Tuple.hi
libraries/ghc-prim/dist-install/build/GHC/Debug.o : libraries/ghc-prim/dist-install/build/GHC/Types.hi
libraries/ghc-prim/dist-install/build/GHC/Magic.o : libraries/ghc-prim/GHC/Magic.hs
$(eval $(call hi-rule,libraries/ghc-prim/dist-install/build/GHC/Magic.hi  : %hi: %o  libraries/ghc-prim/GHC/Magic.hs))
libraries/ghc-prim/dist-install/build/GHC/Magic.o : libraries/ghc-prim/dist-install/build/GHC/Types.hi
libraries/ghc-prim/dist-install/build/GHC/Magic.o : libraries/ghc-prim/dist-install/build/GHC/CString.hi
libraries/ghc-prim/dist-install/build/GHC/Classes.o : libraries/ghc-prim/GHC/Classes.hs
$(eval $(call hi-rule,libraries/ghc-prim/dist-install/build/GHC/Classes.hi  : %hi: %o  libraries/ghc-prim/GHC/Classes.hs))
libraries/ghc-prim/dist-install/build/GHC/Classes.o : libraries/ghc-prim/dist-install/build/GHC/Types.hi
libraries/ghc-prim/dist-install/build/GHC/Classes.o : libraries/ghc-prim/dist-install/build/GHC/CString.hi
libraries/ghc-prim/dist-install/build/GHC/Classes.o : libraries/ghc-prim/dist-install/build/GHC/Tuple.hi
libraries/ghc-prim/dist-install/build/GHC/Classes.o : libraries/ghc-prim/dist-install/build/GHC/IntWord64.hi
libraries/ghc-prim/dist-install/build/GHC/Classes.o : libraries/ghc-prim/dist-install/build/GHC/Magic.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/ghc-prim_dist-install_depfile_haskell_EXISTS = YES
